package com.ruixuan.isc.entity;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 聚水潭-采购单明细对象 kwaixiaodian_jst_purchase_item
 */
@Data
public class KwaixiaodianJstPurchaseItems {

    /**
     * 采购单明细编号
     */
    private Long poiId;

    /**
     * 采购日期
     */
    private String poDate;

    /**
     * 采购单号
     */
    private Long poId;

    /**
     * 商家sku
     */
    private String skuId;

    /**
     * 商品名称
     */
    private String name;

    /**
     * 数量，非实际入库数量，如需获取实际入库数量请调用采购入库查询接口，对应采购入库单（已入库状态）的商品明细数量
     */
    private Long qty;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 款号
     */
    private String iId;

    /**
     * 预计到货日期
     */
    private String deliveryDate;

    /**
     * 税率
     */
    private BigDecimal taxRate;

    /**
     * 质检数
     */
    private Long qcQty;

    /**
     * 质检正品数
     */
    private Long qcQualityQty;

    /**
     * 质检次品数
     */
    private Long qcDefectiveQty;

    /**
     * 已入库数
     */
    private Long inQty;

    /**
     * 退货数
     */
    private Long returnQty;

    /**
     * 是否上架：2全部上架 1部分上架 0未上架
     */
    private Long isDelivery;
    /**
     * 备注
     */
    private String remark;
}
