package com.ruixuan.isc.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface KwaiJSTMapper {
    List<JSONObject> getList();

    void updateToken(@Param("id") Long id, @Param("accessToken") String accessToken, @Param("refreshToken") String refreshToken);

    void replaceKwaixiaodianJst(@Param("list") List<KwaixiaodianJst> jstList);

    void replaceKwaixiaodianJstItems(@Param("list") List<KwaixiaodianJstItems> itemList);

    void replacekwaixiaodianJstPurchase(@Param("list") List<KwaixiaodianJstPurchase> jstList);

    void replaceKwaixiaodianJstPurchaseItems(@Param("list") List<KwaixiaodianJstPurchaseItems> itemList);

    List<JSONObject> getOrderListBySku(@Param("skuNick") String skuNick);

    List<JSONObject> getSkuInfo(@Param("skuNick") String skuNick);


    void addDpSkuCost(@Param("adds") List<KwaixiaodianCostDetail> adds);

    List<JSONObject> getSkuDataList(@Param("date") Long date);

    void deleteDpSkuDats(@Param("skuNick") String skuNick);

    void deleteZHSkuDats(@Param("skuNick") String skuNick);

    List<JSONObject> getItemsRange(@Param("skuNick") String skuNick);

    void updateCostInfo(@Param("skuNick") String skuNick);

    List<JSONObject> getCostDetail(@Param("skuNick") String skuNick);

    void batchUpdate(@Param("list") List<JSONObject> list);

    void addsCostDetailEnds(@Param("adds") List<KwaixiaodianCostDetailEnd> adds);

    void deleteCostDetailEnd(@Param("skuNick") String skuNick);

    List<JSONObject> getCleanDataList(Long date);
}
