package com.ruixuan.isc.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.isc.entity.KwaixiaodianOrderAftersalesList;
import com.ruixuan.isc.entity.KwaixiaodianOrderCursorList;
import com.ruixuan.isc.entity.KwaixiaodianShopScore;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * kwaixiaodian商品详情Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-28
 */
public interface KwaixiaodianOrderCursorListMapper {

    void replaceBatchKWaixiaodianOrderCursorList(@Param("list") List<KwaixiaodianOrderCursorList> orderCursorList);

    void insertKWaixiaodianOrderCursorList(@Param("order") KwaixiaodianOrderCursorList order);

    int updateKWaiShopOrderStatus(Map<String, Object> map);

    KwaixiaodianShopScore getScore(@Param("shopId") String shopId);

    void insertKwaixiaodianShopScore(@Param("shopScore") KwaixiaodianShopScore shopScore);

    void updateKwaixiaodianShopScore(KwaixiaodianShopScore shopScore);

    List<JSONObject> queryItemReport(Map<String, Object> requestMap);

    void replaceBatchKwaixiaodianOrderAftersalesList(@Param("list") List<KwaixiaodianOrderAftersalesList> order);

    int updateKWaiOrderAftersalesStatus(Map<String, Object> map);

}
