package com.ruixuan.isc.service;

import com.alibaba.fastjson.JSONObject;

import java.util.List;
import java.util.Map;

/**
 * kwaixiaodian商品详情Service接口
 *
 * @author ruoyi
 * @date 2024-10-28
 */
public interface IKwaixiaodianOrderCursorListService {
    void querykwaiOrderList(String shopId, Integer queryType, String beginDate, String endDate, String cursor);

    /*新增2小时内的订单*/
    void queryNowdayKWaiOrderList(String shopId, String cursor);

    /*新增kwaixiaodian_order_cursor_list*/
    void insertKWaiShopOrder(JSONObject eventJSon);

    /*修改 新增kwaixiaodian_order_cursor_list status*/
    void updateKWaiShopOrderStatus(JSONObject eventJSon);

    /*售后 kwaixiaodian_order_cursor_list status*/
    void afterSales(JSONObject eventJSon);

    /*新增2小时内的售后单*/
    void queryNowdayafterSalesList(String trim, String s);

    void afterSalesList(String shopId, Integer queryType, String beginDate, String endDate, String cursor);

    void queryMaster(String shopId);

    void queryShop(String shopId);

    List<JSONObject> queryItemReport(Map<String, Object> requestMap);

}
