package com.ruixuan.jiaoyang.service.impl;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.jiaoyang.mapper.IJiaoYangDingMapper;
import com.ruixuan.jiaoyang.service.IJiaoYangDingPanService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

@Service
public class JiaoYangDingPanServiceImpl implements IJiaoYangDingPanService {
    @Autowired
    private IJiaoYangDingMapper jiaoYangDingMapper;

    @Override
    public List<Long> getPromoterIdsByUserIds(List<Long> userIds) {
        return jiaoYangDingMapper.getPromoterIdsByUserIds( userIds);
    }

    @Override
    public List<Long> getPromoterIdsByBusinessId(Long userId) {
        return jiaoYangDingMapper.getPromoterIdsByBusinessId(userId);
    }

    @Override
    public List<Long> getPromoterIdsByMentorId(Long userId) {
        return jiaoYangDingMapper.getPromoterIdsByMentorId(userId);
    }

    @Override
    public JSONObject getSumInfo(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getSumInfo(requestMap);
    }

    @Override
    public JSONObject getMonthInfo(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getMonthInfo(requestMap);
    }

    @Override
    public List<JSONObject> getEchartData(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getEchartData(requestMap);
    }

    @Override
    public List<JSONObject> getGmvHours(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getGmvHours(requestMap);
    }

    @Override
    public List<JSONObject> getTeamList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getTeamList(requestMap);
    }

    @Override
    public List<JSONObject> getAddItemList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getAddItemList(requestMap);
    }

    @Override
    public List<JSONObject> getPeopleList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getPeopleList(requestMap);
    }

    @Override
    public List<JSONObject> getAddItemListByUserId(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getAddItemListByUserId(requestMap);
    }

    @Override
    public List<JSONObject> getPromoterList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getPromoterList(requestMap);
    }

    @Override
    public List<JSONObject> getItemList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getItemList(requestMap);
    }

    @Override
    public List<JSONObject> getDingPanTuiGuangUserList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getDingPanTuiGuangUserList(requestMap);
    }

    @Override
    public List<JSONObject> getDingPanMentorBusinessList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getDingPanMentorBusinessList(requestMap);
    }

    @Override
    public List<JSONObject> getAddItemListByExpertId(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getAddItemListByExpertId(requestMap);
    }

    @Override
    public List<JSONObject> getAddItemListByClipUserId(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getAddItemListByClipUserId(requestMap);
    }

    @Override
    public List<JSONObject> getVideoList(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getVideoList(requestMap);
    }

    @Override
    public List<JSONObject> getTeamDetail(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getTeamDetail(requestMap);
    }

    @Override
    public List<Long> getDeptUsers(Long deptId) {
        return jiaoYangDingMapper.getDeptUsers(deptId);
    }

    @Override
    public List<JSONObject> getPromoterItemDetail(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getPromoterItemDetail(requestMap);
    }

    @Override
    public List<JSONObject> getItemPromoterDetail(Map<String, Object> requestMap) {
        return jiaoYangDingMapper.getItemPromoterDetail(requestMap);
    }
}
