package com.ruixuan.launch.mapper;

import com.ruixuan.launch.entity.KuaishouLaunchCampaign;
import com.ruixuan.launch.entity.KuaishouLaunchGroupTarget;

import java.util.List;

/**
 * 广告组定向信息Mapper接口
 *
 * @author ruoyi
 * @date 2022-06-28
 */
public interface KuaishouLaunchGroupTargetMapper
{
    /**
     * 查询广告组定向信息
     *
     * @param id 广告组定向信息主键
     * @return 广告组定向信息
     */
    public KuaishouLaunchGroupTarget selectKuaishouLaunchGroupTargetById(Long id);

    /**
     * 查询广告组定向信息列表
     *
     * @param kuaishouLaunchGroupTarget 广告组定向信息
     * @return 广告组定向信息集合
     */
    public List<KuaishouLaunchGroupTarget> selectKuaishouLaunchGroupTargetList(KuaishouLaunchGroupTarget kuaishouLaunchGroupTarget);

    /**
     * 新增广告组定向信息
     *
     * @param kuaishouLaunchGroupTarget 广告组定向信息
     * @return 结果
     */
    public int insertKuaishouLaunchGroupTarget(KuaishouLaunchGroupTarget kuaishouLaunchGroupTarget);

    /**
     * 修改广告组定向信息
     *
     * @param kuaishouLaunchGroupTarget 广告组定向信息
     * @return 结果
     */
    public int updateKuaishouLaunchGroupTarget(KuaishouLaunchGroupTarget kuaishouLaunchGroupTarget);
}