package com.ruixuan.isc.service;

import com.ruixuan.isc.entity.KuaishouAccessToken;

import java.util.List;

public interface IAccessTokenService {

    KuaishouAccessToken getAccessToken(Long regId);

    KuaishouAccessToken getKWaiAccessToken(String id);

    KuaishouAccessToken getKWaiAccessTokenByOpenId(String openId);


    void refreshAccessToken();

    void refreshJYAccessToken();

    void refreshByteDanceAccessToken();

    void refreshKwaixiaodianAccessToken();


    List<KuaishouAccessToken> getTokenInfos();

    List<KuaishouAccessToken> getMgsTokenInfos();

    List<KuaishouAccessToken> getYufuTokenInfos();

    List<KuaishouAccessToken> getYuxiuTokenInfos();

    List<KuaishouAccessToken> getZhishuiTokenInfos();

    List<KuaishouAccessToken> getRocketTokenInfos();

}
