package com.ruixuan.jiaoyang.mapper;

import com.alibaba.fastjson.JSONObject;
import com.ruixuan.jiaoyang.entity.JyAuthOrder;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

public interface JiaoYangReportMapper {
    List<JSONObject> item(Map<String, Object> requestMap);

    List<JSONObject> itemDetail(Map<String, Object> requestMap);

    List<JSONObject> promoter(Map<String, Object> requestMap);

    List<JSONObject> anchorOrderDetail(Map<String, Object> requestMap);

    List<JSONObject> promoterStatistics(Map<String, Object> requestMap);

    List<JSONObject> getClipCooperation(@Param("date") Long date, @Param("promoterId") Long promoterId, @Param("promoterName") String promoterName);

    JSONObject getOrderTotal(Map<String, Object> requestMap);

    Double getOrderTotalRatio(Map<String, Object> ratioMap);

    JSONObject getServiceAmountTotal(Map<String, Object> requestMap);

    JSONObject getAmountTotal(Map<String, Object> requestMap);

    Double getAmountTotalRatio(Map<String, Object> ratioMap);

    List<JSONObject> getPromoterRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getPromoterRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankRatioList(Map<String, Object> requestMap);

    List<JSONObject> getOrderRankList(Map<String, Object> requestMap);

    List<JSONObject> indexStatistics(Map<String, Object> requestMap);

    JSONObject getTimeIntervalRatio(Map<String, Object> requestMap);

    List<Long> getPromoterIdsByUserIds(@Param("userIds") List<Long> userIds);

    JSONObject dayData(@Param("startDate") Long startDate, @Param("endDate") Long endDate, @Param("lastStart") Long lastStart, @Param("lastEnd") Long lastEnd, @Param("dataType") Integer dataType);

    JSONObject monthData(@Param("nowMonthStartDate") Long nowMonthStartDate, @Param("nowMonthEndDate") Long nowMonthEndDate, @Param("lastMonthStartDate") Long lastMonthStartDate, @Param("lastMonthEndDate") Long lastMonthEndDate, @Param("dataType") Integer dataType);

    List<JSONObject> getTopItem(@Param("date") Long date, @Param("promoterId") Long promoterId, @Param("fieId") String fieId, @Param("sort") String sort);

    List<JSONObject> getTopItemUser();

    List<JSONObject> getDataByDate(@Param("date") Long date);

    String getJiaoYangCookie();

    void replaceItems(@Param("adds") List<JyAuthOrder> adds);

    List<JSONObject> getAuthItemList(Map<String, Object> requestMap);

    void deleteAuthItem();

    JSONObject getTypeData(@Param("start") Long start, @Param("end") Long end);

    List<Long> getPromoterIdsByBusinessId(@Param("userId") Long userId);

    List<Long> getPromoterIdsByMentorId(@Param("userId") Long userId);
}
