package com.ruixuan.open.entity;

import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 视频数量对象 kuaishou_open_photo_count
 *
 * @author ruoyi
 * @date 2024-07-09
 */

@Data
@ApiModel(value = "KuaishouOpenPhotoCount", description = "视频数量对象")
public class KuaishouOpenPhotoCount {

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 达人ID
     */
    private Long promoterId;

    /**
     * 公开视频数量
     */
    private Long publicCount;

    /**
     * 仅好友可见视频数量
     */
    private Long friendCount;

    /**
     * 仅自己可见视频数量
     */
    private Long privateCount;

    /**
     * 视频总量
     */
    private Long allCount;

    private String createTime;

    private String updateTime;

}
