package com.ruixuan.salesLeads.pojo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * 政策-返点比例信息表（超过该季度返点比例则自动转审老板审批）
 * @author zian Y
 * @date   2022-07-28
 * @version V1.0
 */
@Data
@ApiModel(value="saleFinancePolicyRebateInfoPojo", description="政策-返点比例信息表")
public class SaleFinancePolicyRebateInfoPojo {

	private Integer id;
    @ApiModelProperty(value = "日期")
	private Date operationTime;
    @ApiModelProperty(value = "季度")
	private Integer quarter;
    @ApiModelProperty(value = "返点比例")
	private Double rebateRate;
    @ApiModelProperty(value = "创建人id")
	private String createUserId;
    @ApiModelProperty(value = "创建时间")
	private Date createTime;
    @ApiModelProperty(value = "更新时间")
	private Date updateTime;

}
