package com.ruixuan.salesLeads.pojo.vo;

import com.ruixuan.salesLeads.pojo.SaleClueRecordInfoPojo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * ***************************************************
 *
 * @Auther: zianY
 * @Descipion: 销售线索信息表
 * @CreateDate: 2022-05-24
 * ****************************************************
 */


@Data
@ApiModel(value = "saleTaskInfoVo", description = "销售线索详情")
public class SaleTaskInfoVo {


    private int id;

    @ApiModelProperty("销售线索详情")
    private SaleRecordVo saleRecordVo;

    @ApiModelProperty("跟进记录信息")
    private List<SaleClueRecordInfoPojo> recordList;

    @ApiModelProperty("下次跟进次数")
    private int nextNum;




}
