package com.ruixuan.system.mapper;

import com.ruixuan.common.core.domain.entity.SysDept;
import com.ruixuan.system.domain.SysIndustryInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 行业分类 数据层
 * 
 * @author zianY
 */
public interface SysIndustryInfoMapper{


    /**
     * 根据行业名称查询信息
     * 
     * @return 行业名称
     */
    public SysIndustryInfo getIndustryInfoByName(String name);

    /**
     * 查询全部行业
     * @return
     */
    public List<SysIndustryInfo> getIndustryInfoList();


}
